import { Misc } from "./misc.js";

/**
 * Extend the base Dialog entity by defining a custom window to perform roll.
 * @extends {Dialog}
 */
export class RdDAstrologieJoueur extends Dialog {

    /* -------------------------------------------- */  
    static async create(actor, dialogConfig) {
      
      let data = { nombres: actor.data.items.filter( (item) => item.type == 'nombreastral') 
                 }
      const html = await renderTemplate('systems/foundryvtt-reve-de-dragon/templates/dialog-astrologie-joueur.html', data);
      let options = { classes: ["rdddialog"], width: 600, height: 500, 'z-index': 99999 };
      if (dialogConfig.options) {
        mergeObject(options, dialogConfig.options, { overwrite: true })
      }
      return new RdDAstrologieJoueur(html, actor, data);
    }
  
  /* -------------------------------------------- */
  constructor(html, actor, data ) {

    let myButtons = {
        saveButton: { label: "Fermer", callback: html => this.fillData() }
      };
    
    // Get all n
    // Common conf
    let dialogConf = { content: html, title: "Nombres Astraux", buttons: myButtons, default: "saveButton" };
    let dialogOptions = { classes: ["rdddialog"], width: 600, height: 300, 'z-index': 99999 } ;
    super(dialogConf, dialogOptions);
    
    this.actor = actor;
    this.dataNombreAstral = duplicate(data);
  }

  /* -------------------------------------------- */
  fillData() {

  }

  /* -------------------------------------------- */
  activateListeners(html) {
    super.activateListeners(html);
    
    $(function () {
    });

  }

}
